// ==========================================================================
// $Id: aa_box.h,v 1.1 2011/09/27 17:22:21 jlang Exp $
// CSI2372 example Code for lecture 4
// ==========================================================================
// (C)opyright:
//
//   Jochen Lang
//   EECS, University of Ottawa
//   800 King Edward Ave.
//   Ottawa, On., K1N 6N5
//   Canada. 
//   http://www.eecs.uottawa.ca
// 
// Creator: jlang (Jochen Lang)
// Email:   jlang@eecs.uottawa.ca
// ==========================================================================
// $Log: aa_box.h,v $
// Revision 1.1  2011/09/27 17:22:21  jlang
// Added bounding shape example
//
//
// ==========================================================================
#ifndef AA_BOX
#define AA_BOX

#include "point2d.h" 


class AABox {
  Point2D d_lowerLeft;
  Point2D d_upperRight;
public:
  AABox( Point2D _lowerLeft, Point2D _upperRight );
  bool enclose( Point2D[] extrema );
};
#endif
