// ==========================================================================
// $Id: parabola.cpp,v 1.4 2013/10/09 15:10:09 jlang Exp $
// CSI2372 example Code: use function 1D
// ==========================================================================
// (C)opyright:
//
//   Jochen Lang
//   SITE, University of Ottawa
//   800 King Edward Ave.
//   Ottawa, On., K1N 6N5
//   Canada. 
//   http://www.site.uottawa.ca
// 
// Creator: jlang (Jochen Lang)
// Email:   jlang@site.uottawa.ca
// ==========================================================================
// $Log: parabola.cpp,v $
// Revision 1.4  2013/10/09 15:10:09  jlang
// Updated examples for lecture on Oct. 9.
//
// Revision 1.3  2013/10/09 14:07:40  jlang
// Changed header file extension to .h
//
// Revision 1.2  2010/10/20 14:03:54  jlang
// Added return in main
//
// Revision 1.1  2006/10/23 03:03:21  jlang
// Pointer class varibles added
//
//
// ==========================================================================
#include "function1d.h"
#include <iostream>

using std::cout;
using std::endl;

/**
 * set F1D to parabola y = x^2
 */
void setPara( F1D _func ) {
  double coefficients[] = { 0.0, 0.0, 1.0 };
  _func.evaluatePoly( coefficients, 2 );
  cout << "In function setPara: " << endl;
  _func.print();
  return;
}

int main( void )
{
  F1D myFunc(0.0,4.0,1.0);
  setPara( myFunc );
  cout << "Back in main: " << endl;
  myFunc.print();
  return 0;
}
