// ==========================================================================
// $Id: circle.h,v 1.1 2011/10/19 03:24:40 jlang Exp $
// CSI2372 example Code for lecture 7
// ==========================================================================
// (C)opyright:
//
//   Jochen Lang
//   EECS, University of Ottawa
//   800 King Edward Ave.
//   Ottawa, On., K1N 6N5
//   Canada. 
//   http://www.eecs.uottawa.ca
// 
// Creator: jlang (Jochen Lang)
// Email:   jlang@eecs.uottawa.ca
// ==========================================================================
// $Log: circle.h,v $
// Revision 1.1  2011/10/19 03:24:40  jlang
// Added code for lecture 7
//
//
// ==========================================================================
#ifndef CIRCLE_H
#define CIRCLE_H

#include "bounds.h" 

class Circle : public Bounds {
  Point2D d_center;
  double d_radius;
public:
  Circle( Point2D _center = Point2D(), double _radius=0.0 );
  bool enclose( Point2D extrema[], int _size );
  bool isInside( const Point2D& _pt ) const;
  void print() const;
};
#endif
